XmlInclude (TestNG)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.testng.xml
Class XmlInclude

    java.lang.Object
      org.testng.xml.XmlInclude

All Implemented Interfaces:
  java.io.Serializable

    public class XmlInclude

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`XmlInclude()`
`XmlInclude(java.lang.String n)`
`XmlInclude(java.lang.String n, int index)`
`XmlInclude(java.lang.String n, java.util.List<java.lang.Integer> list, int index)`

Method Summary
`void` | `addParameter(java.lang.String name, java.lang.String value)`
`boolean` | `equals(java.lang.Object obj)`
`java.util.Map<java.lang.String,java.lang.String>` | `getAllParameters()`
`java.lang.String` | `getDescription()`
`int` | `getIndex()`
`java.util.List<java.lang.Integer>` | `getInvocationNumbers()`
`java.util.Map<java.lang.String,java.lang.String>` | `getLocalParameters()`
`java.lang.String` | `getName()`
`java.util.Map<java.lang.String,java.lang.String>` | `getParameters()` Deprecated. Use `getLocalParameters()` or `getAllParameters()`
`int` | `hashCode()`
`void` | `setDescription(java.lang.String description)`
`void` | `setXmlClass(XmlClass xmlClass)`
`java.lang.String` | `toXml(java.lang.String indent)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlInclude

    public XmlInclude()

### XmlInclude

    public XmlInclude(java.lang.String n)

### XmlInclude

    public XmlInclude(java.lang.String n,
                      int index)

### XmlInclude

    public XmlInclude(java.lang.String n,
                      java.util.List<java.lang.Integer> list,
                      int index)

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

### getDescription

    public java.lang.String getDescription()

### getName

    public java.lang.String getName()

### getInvocationNumbers

    public java.util.List<java.lang.Integer> getInvocationNumbers()

### getIndex

    public int getIndex()

### toXml

    public java.lang.String toXml(java.lang.String indent)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### addParameter

    public void addParameter(java.lang.String name,
                             java.lang.String value)

### getParameters

    @Deprecated
    public java.util.Map<java.lang.String,java.lang.String> getParameters()

  Deprecated. Use `getLocalParameters()` or `getAllParameters()`

### getLocalParameters

    public java.util.Map<java.lang.String,java.lang.String> getLocalParameters()

  Returns:
    the parameters defined in this test tag, and only this test tag. To retrieve the inherited parameters as well, call `getAllParameters()`.

### getAllParameters

    public java.util.Map<java.lang.String,java.lang.String> getAllParameters()

  Returns:
    the parameters defined in this tag and the tags above it.

### setXmlClass

    public void setXmlClass(XmlClass xmlClass)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD